<?php declare(strict_types=1);

namespace Albis\AlbisLease\AlbisProductGroup;

use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;

class AlbisProductGroupEntity extends Entity
{
    use EntityIdTrait;

    /**
     * @var int
     */
    protected $albisId;

    /**
     * @var string
     */
    protected $description;

    /** @var int */
    protected $runtimeMin;

    /** @var int */
    protected $runtimeMax;

    /** @var int */
    protected $position;

    /**
     * @return string
     */
    public function getDescription(): string
    {
        return $this->description;
    }

    /**
     * @param string $description
     */
    public function setDescription(string $description): void
    {
        $this->description = $description;
    }

    /**
     * @return int
     */
    public function getRuntimeMin(): int
    {
        return $this->runtimeMin;
    }

    /**
     * @param int $runtimeMin
     */
    public function setRuntimeMin(int $runtimeMin): void
    {
        $this->runtimeMin = $runtimeMin;
    }

    /**
     * @return int
     */
    public function getRuntimeMax(): int
    {
        return $this->runtimeMax;
    }

    /**
     * @param int $runtimeMax
     */
    public function setRuntimeMax(int $runtimeMax): void
    {
        $this->runtimeMax = $runtimeMax;
    }

    /**
     * @return int
     */
    public function getPosition(): int
    {
        return $this->position;
    }

    /**
     * @param int $position
     */
    public function setPosition(int $position): void
    {
        $this->position = $position;
    }

    /**
     * @return int
     */
    public function getAlbisId(): int
    {
        return $this->albisId;
    }

    /**
     * @param int $albisId
     */
    public function setAlbisId(int $albisId): void
    {
        $this->albisId = $albisId;
    }
}