<?php declare(strict_types=1);

namespace Albis\AlbisLease\AlbisProductGroup;

use Shopware\Core\Framework\DataAbstractionLayer\EntityDefinition;
use Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\PrimaryKey;
use Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\Required;
use Shopware\Core\Framework\DataAbstractionLayer\Field\IdField;
use Shopware\Core\Framework\DataAbstractionLayer\Field\IntField;
use Shopware\Core\Framework\DataAbstractionLayer\Field\StringField;
use Shopware\Core\Framework\DataAbstractionLayer\FieldCollection;

class AlbisProductGroupEntityDefinition extends EntityDefinition
{
    public const ENTITY_NAME = 'albis_product_group';

    public function getEntityName(): string
    {
        return self::ENTITY_NAME;
    }

    public function getCollectionClass(): string
    {
        return AlbisProductGroupEntityCollection::class;
    }

    public function getEntityClass(): string
    {
        return AlbisProductGroupEntity::class;
    }

    protected function defineFields(): FieldCollection
    {
        return new FieldCollection([
            (new IdField('id', 'id'))->addFlags(new PrimaryKey(), new Required()),
            new IntField('albis_id', 'albisId'),
            new StringField('description', 'description'),
            new IntField('runtime_min', 'runtimeMin'),
            new IntField('runtime_max', 'runtimeMax'),
            new IntField('position', 'position'),
        ]);
    }
}