<?php declare(strict_types=1);

namespace Albis\AlbisLease\Core\Content\Flow\Subscriber;

use Albis\AlbisLease\Core\Framework\Event\TagAware;
use Shopware\Core\Framework\Event\BusinessEventCollectorEvent;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class BusinessEventCollectorSubscriber implements EventSubscriberInterface
{
    public static function getSubscribedEvents()
    {
        return [
            BusinessEventCollectorEvent::NAME => 'addTagAware',
        ];
    }

    public function addTagAware(BusinessEventCollectorEvent $event): void
    {
        foreach ($event->getCollection()->getElements() as $definition) {
            $className = \explode('\\', TagAware::class);
            $definition->addAware(\lcfirst(\end($className)));
        }
    }
}