<?php declare(strict_types=1);

namespace Albis\AlbisLease\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1552484872Custom extends MigrationStep
{
    public function getCreationTimestamp(): int
    {
        return 1552484872;
    }

    public function update(Connection $connection): void
    {
        $sql = <<<SQL
CREATE TABLE IF NOT EXISTS `albis_product_group` (
    `id` BINARY(16) NOT NULL,
    `albis_id` INT(5),    
    `description` VARCHAR(255) COLLATE utf8mb4_unicode_ci,
    `runtime_min` INT(5),
    `runtime_max` INT(5),
    `position` INT(5),
    `created_at` DATETIME(3),
    `updated_at` DATETIME(3),
    PRIMARY KEY (`id`)
)
    ENGINE = InnoDB
    DEFAULT CHARSET = utf8mb4
    COLLATE = utf8mb4_unicode_ci;
SQL;
        $connection->executeUpdate($sql);
    }

    public function updateDestructive(Connection $connection): void
    {
    }
}